Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 463626 - net-dns/bind-9.9.2_p1 USE=xml with dev-libs/libxml2-2.9.0-r2 - configure: ld: error: cannot find -lscf
Summary: net-dns/bind-9.9.2_p1 USE=xml with dev-libs/libxml2-2.9.0-r2 - configure: ld:...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christian Ruppert (idl0r)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-28 16:45 UTC by Marcin Mirosław
Modified: 2013-03-29 18:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
config.log with libxml2-2.9.0-r2 (config.log,201.04 KB, text/plain)
2013-03-28 16:48 UTC, Marcin Mirosław
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Mirosław 2013-03-28 16:45:57 UTC
I've buid bind with xml use flag:
# named -V
BIND 9.9.2-P1 built with '--prefix=/usr' '--build=x86_64-pc-linux-gnu' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--libdir=/usr/lib64' '--sysconfdir=/etc/bind' '--localstatedir=/var' '--with-libtool' '--enable-threads' '--with-dlopen' '--with-dlz-filesystem' '--with-dlz-stub' '--with-dlz-postgres' '--without-dlz-mysql' '--without-dlz-bdb' '--without-dlz-ldap' '--without-dlz-odbc' '--with-openssl=/usr' '--with-idn' '--enable-ipv6' '--with-libxml2' '--without-gssapi' '--disable-rpz-nsip' '--disable-rpz-nsdname' '--enable-linux-caps' '--without-gost' '--disable-filter-aaaa' '--without-python' '--without-readline' '--with-randomdev=/dev/urandom' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-march=native -O2 -fexpensive-optimizations -fpeel-loops -fgraphite-identity -floop-interchange -ftree-loop-linear -floop-block -floop-strip-mine -fira-loop-pressure -fpredictive-commoning -freorder-blocks-and-partition -ftracer -ftree-vectorize -frecord-gcc-switches -fno-unwind-tables -fno-asynchronous-unwind-tables --param l2-cache-size=128 --param l1-cache-size=16 --param l1-cache-line-size=32 -pipe -Wdisabled-optimization -Wstack-protector' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed -Wl,--sort-common'
using OpenSSL version: OpenSSL 1.0.1c 10 May 2012

but in named.log I'm getting:
2013-03-28T17:31:10.792768+01:00 meteor named[48077]: statistics-channels specified but not effective due to missing XML library

# scanelf -n /usr/sbin/named
 TYPE   NEEDED FILE 
ET_DYN liblwres.so.90,libdns.so.95,libbind9.so.90,libisccfg.so.90,libisccc.so.90,libisc.so.92,libpq.so.5,libdl.so.2,libcap.so.2,libpthread.so.0,libc.so.6 /usr/sbin/named

Named doesn't link to libxml2.
I downgraded libxml2 to dev-libs/libxml2-2.8.0-r3 and bind detects libxml2 correctly:
# scanelf -n /usr/sbin/named
 TYPE   NEEDED FILE 
ET_DYN liblwres.so.90,libdns.so.95,libbind9.so.90,libisccfg.so.90,libisccc.so.90,libisc.so.92,libpq.so.5,libdl.so.2,libcap.so.2,libpthread.so.0,libxml2.so.2,libc.so.6 /usr/sbin/named
Comment 1 Marcin Mirosław 2013-03-28 16:46:59 UTC
Portage 2.1.11.59 (hardened/linux/amd64, gcc-4.6.3, glibc-2.15-r3, 3.7.5-hardened-r1 x86_64)
=================================================================
System uname: Linux-3.7.5-hardened-r1-x86_64-Intel-R-_Core-TM-_i7_CPU_930_@_2.80GHz-with-gentoo-2.1
KiB Mem:      505444 total,     18880 free
KiB Swap:    1368020 total,   1005464 free
Timestamp of tree: Thu, 28 Mar 2013 09:30:01 +0000
ld GNU gold (GNU Binutils 2.23.1) 1.11
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo rion
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -fexpensive-optimizations     -fpeel-loops    -fgraphite-identity -floop-interchange -ftree-loop-linear -floop-block -floop-strip-mine -fira-loop-pressure    -fpredictive-commoning -freorder-blocks-and-partition -ftracer -ftree-vectorize         -frecord-gcc-switches -fno-unwind-tables -fno-asynchronous-unwind-tables        --param l2-cache-size=128 --param l1-cache-size=16 --param l1-cache-line-size=32 -pipe -Wdisabled-optimization -Wstack-protector"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -fexpensive-optimizations   -fpeel-loops    -fgraphite-identity -floop-interchange -ftree-loop-linear -floop-block -floop-strip-mine -fira-loop-pressure    -fpredictive-commoning -freorder-blocks-and-partition -ftracer -ftree-vectorize         -frecord-gcc-switches -fno-unwind-tables -fno-asynchronous-unwind-tables        --param l2-cache-size=128 --param l1-cache-size=16 --param l1-cache-line-size=32 -pipe -Wdisabled-optimization -Wstack-protector"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="Xfail-clean Xkeepwork Xprofile Xsplitdebug Xtest Yunknown-features-filter assume-digests binpkg-logs ccache collision-protect compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs profile-use protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.mneisen.org/
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="-O --inplace"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/rion"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acpi amd64 apache2 bash-completion caps hardened idn iproute2 ipv6 mmap mmx mmxext modules multilib nls openmp openssl smp sse sse2 sse3 sse4 sse4a ssse3 syslog threads threadsafe unicode urandom vhosts vim-syntax xtpax" ABI_X86="64" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon auth_digest authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user cache cgi dav dav_fs dav_lock dir env expires ext_filter filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif status unique_id usertrack vhost_alias" APACHE2_MPMS="prefork" CURL_SSL="openssl" ELIBC="glibc" KERNEL="linux" LINGUAS="en" NGINX_MODULES_HTTP="access browser charset gzip map limit_zone proxy rewrite stub_status" PHP_TARGETS="php5-3" PYTHON_TARGETS="python2_7 python3_2" USERLAND="GNU" XTABLES_ADDONS="fuzzy geoip lscan psd sysrq tarpit"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 2 Marcin Mirosław 2013-03-28 16:48:40 UTC
Created attachment 343540 [details]
config.log with libxml2-2.9.0-r2
Comment 3 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2013-03-28 21:45:39 UTC
Fixed in bind-9.9.2_p1-r1. Thanks!
Comment 4 Marcin Mirosław 2013-03-29 18:23:15 UTC
Now stats work again, thanks!